=== icon-effect/CMakeLists.txt ===
add_subdirectory(src)
add_subdirectory(data)


########### install files ###############




#original Makefile.am contents follow:

##dnl Process this file with automake to produce Makefile.in
#
#SUBDIRS = . src data
