=== Messaging-Menu/data/CMakeLists.txt ===

########### install files ###############

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/Messaging-Menu.conf
	preview.jpg
	icon.svg
	indicator-messages.svg
	indicator-messages-new.svg
	DESTINATION ${messaging_menudatadir})
