=== RSSreader/data/CMakeLists.txt ===

########### install files ###############

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/RSSreader.conf
	preview.jpg
	icon.svg
	DESTINATION ${rss_readerdatadir})
