=== debian/changelog ===
cairo-dock-plug-ins (3.6.0-0.1~mx25) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 18 Oct 2025 19:31:08 -0700

cairo-dock-plug-ins (3.6.0-ppa1~ubuntu25.04) plucky; urgency=medium

  * New upstream release

 -- Daniel Kondor <kondor.dani@gmail.com>  Mon, 29 Sep 2025 19:43:48 +0100

cairo-dock-plug-ins (3.5.99-1) jammy; urgency=medium

  * New release
  * Add plug-ins missing from the official repository:
    Status-Notifier, Indicator-Generic
  * Fix incorrect subdock rendering on HiDPI screens with EGL / Wayland.
  * Small improvements in rendering dialogs and menus.

 -- Daniel Kondor <kondor.dani@gmail.com>  Sat, 9 Mar 2024 23:40:00 +0100

cairo-dock-plug-ins (3.5.0) unreleased

  * Update to 3.5.0
  * Several bug fixes since the last release.
  
 -- Daniel Kondor <kondor.dani@gmail.com>  Sat, 9 Mar 2024 23:16:00 +0100

cairo-dock-plug-ins (3.4.1+git20201022.a0d3415c-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Drop  cairo-dock-dbus-plug-in-interface-mono (Closes: #1043350)

 -- Bastian Germann <bage@debian.org>  Mon, 28 Aug 2023 13:54:37 +0200
