=== debian/control ===
Source: cairo-dock-plug-ins
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Daniel Kondor <kondor.dani@gmail.com>
Build-Depends: cairo-dock-dev (>= 3.6.0),
               cmake(>= 3.16.0),
               debhelper-compat (= 12),
               dpkg-dev (>= 1.16.1~),
               libasound2-dev [linux-any],
               libayatana-ido3-dev,
               libayatana-indicator3-dev,
               libcairo2-dev (>= 1.8.0),
               libcurl4-gnutls-dev,
               libdbus-glib-1-dev,
               libdbusmenu-glib-dev,
               libdbusmenu-gtk3-dev,
               libetpan-dev,
               libexif-dev,
               libglib2.0-dev,
               libglu1-mesa-dev | libglu-dev,
               libglvnd-dev | libgl-dev,
               libgnome-menu-3-dev,
               libgnutls28-dev,
               libgtk-3-dev (>= 3.22.0),
               libical-dev,
               libjson-c-dev,
               libpango1.0-dev,
               libpulse-dev,
               librsvg2-dev,
               libsensors-dev,
               libssl-dev,
               libupower-glib-dev,
               libvte-2.91-dev,
               libxklavier-dev,
               libxml2-dev,
               libxtst-dev,
               libxxf86vm-dev,
               libzeitgeist-2.0-dev,
               pkgconf,
               python3,
               ruby,
               ruby-dev,
               valac,
               x11proto-xf86vidmode-dev
Build-Conflicts: libwebkitgtk-3.0-dev, python-minimal
Standards-Version: 4.5.0
Homepage: https://github.com/Cairo-Dock/cairo-dock-core

Package: cairo-dock-plug-ins
Architecture: any
Depends: cairo-dock-alsamixer-plug-in [linux-any],
         cairo-dock-animated-icons-plug-in,
         cairo-dock-cairo-penguin-plug-in,
         cairo-dock-clipper-plug-in,
         cairo-dock-clock-plug-in,
         cairo-dock-dbus-plug-in,
         cairo-dock-dbus-plug-in-interface-python,
         cairo-dock-desklet-rendering-plug-in,
         cairo-dock-dialog-rendering-plug-in,
         cairo-dock-dnd2share-plug-in,
         cairo-dock-drop-indicator-plug-in,
         cairo-dock-dustbin-plug-in,
         cairo-dock-folders-plug-in,
         cairo-dock-gmenu-plug-in,
         cairo-dock-gnome-integration-plug-in,
         cairo-dock-icon-effect-plug-in,
         cairo-dock-illusion-plug-in,
         cairo-dock-impulse-plug-in,
         cairo-dock-indicator-generic-plug-in,
         cairo-dock-kde-integration-plug-in,
         cairo-dock-keyboard-indicator-plug-in,
         cairo-dock-logout-plug-in,
         cairo-dock-mail-plug-in,
         cairo-dock-messaging-menu-plug-in,
         cairo-dock-motion-blur-plug-in,
         cairo-dock-musicplayer-plug-in,
         cairo-dock-netspeed-plug-in,
         cairo-dock-powermanager-plug-in,
         cairo-dock-quick-browser-plug-in,
         cairo-dock-recent-events-plug-in,
         cairo-dock-remote-control-plug-in,
         cairo-dock-rendering-plug-in,
         cairo-dock-rssreader-plug-in,
         cairo-dock-shortcuts-plug-in,
         cairo-dock-showdesktop-plug-in,
         cairo-dock-showmouse-plug-in,
         cairo-dock-slider-plug-in,
         cairo-dock-stack-plug-in,
         cairo-dock-status-notifier-plug-in,
         cairo-dock-switcher-plug-in,
         cairo-dock-system-monitor-plug-in,
         cairo-dock-systray-plug-in,
         cairo-dock-terminal-plug-in,
         cairo-dock-tomboy-plug-in,
         cairo-dock-toons-plug-in,
         cairo-dock-weather-plug-in,
         cairo-dock-wifi-plug-in,
         cairo-dock-xfce-integration-plug-in,
         cairo-dock-xgamma-plug-in,
         ${misc:Depends}
Breaks: cairo-dock-plugins (<< 2.4.0~2-1)
Replaces: cairo-dock-plugins (<< 2.4.0~2-1)
Description: Cairo-dock - All plug-ins
 A collection of official plug-ins and applets for cairo-dock.
 .
 This is a metapackage depending on all available cairo-dock plug-ins to make
 installation easier.

Package: cairo-dock-plug-in-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: cairo-dock-core (<< 3.6.0), cairo-dock-plugin-data (<< 2.4.0~2-1)
Replaces: cairo-dock-plugin-data (<< 2.4.0~2-1)
Description: Cairo-dock - Plug-in data files
 A collection of official plug-ins and applets for cairo-dock.
 .
 This package provides plug-in data files.

Package: cairo-dock-alsamixer-plug-in
Architecture: linux-any
Depends: cairo-dock-plug-in-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: cairo-dock-alsamixer-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-alsamixer-plugin (<< 2.4.0~2-1)
Description: Alsamixer plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in lets you control the sound volume from the dock.
 This works with the Alsa sound driver.

Package: cairo-dock-animated-icons-plug-in
Architecture: any
Depends: cairo-dock-plug-in-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: cairo-dock-animated-icons-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-animated-icons-plugin (<< 2.4.0~2-1)
Description: Animated icons plug-in Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in provides many different animations for your icons.

Package: cairo-dock-cairo-penguin-plug-in
Architecture: any
Depends: cairo-dock-plug-in-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: cairo-dock-cairo-penguin-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-cairo-penguin-plugin (<< 2.4.0~2-1)
Description: Cairo-Penguin plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in adds a lively Penguin in your dock.
 Tux images are taken from Pingus, some other characters are available
 or can be added easily.

Package: cairo-dock-clipper-plug-in
Architecture: any
Depends: cairo-dock-plug-in-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: cairo-dock-clipper-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-clipper-plugin (<< 2.4.0~2-1)
Description: Clipper plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in keeps a trace of the clipboard and mouse selection,
 so that you can recall them quickly. It's a clone of the well-know Klipper.
 This supports clipboard and mouse selection, predefined actions, and
 persistent items.

Package: cairo-dock-clock-plug-in
Architecture: any
Depends: cairo-dock-plug-in-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: cairo-dock-clock-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-clock-plugin (<< 2.4.0~2-1)
Description: Clock plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in displays time and date in your dock.
 Two views are available : numeric and analogic, based on Cairo-Clock.
 This is compatible with the Cairo-Clock's themes, and you can detach itself to
 be a perfect clone of Cairo-Clock.
 And this supports alarms, and a basic calendar, and allows you to set time
 and date.

Package: cairo-dock-dbus-plug-in
Architecture: any
Depends: cairo-dock-plug-in-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: cairo-dock-dbus-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-dbus-plugin (<< 2.4.0~2-1)
Suggests: cairo-dock-dbus-plug-in-interface-python (>= ${source:Version}),
          cairo-dock-dbus-plug-in-interface-ruby (>= ${source:Version}),
          cairo-dock-dbus-plug-in-interface-vala (>= ${source:Version})
Description: Dbus plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock
 .
 This plug-in lets external applications interact on the dock.
 The communication between both sides is based on Dbus.

Package: cairo-dock-dbus-plug-in-interface-python
Architecture: all
Depends: cairo-dock-plug-ins (>= ${source:Version}), python3, ${misc:Depends}
Description: library of D-Bus interface for Python of Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This package provides library of Cairo-Dock D-Bus interface for Python.

Package: cairo-dock-dbus-plug-in-interface-ruby
Architecture: all
Depends: cairo-dock-plug-ins (>= ${source:Version}),
         ruby,
         ruby-dbus,
         ruby-parseconfig,
         ${misc:Depends}
Description: library of D-Bus interface for ruby of Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This package provides library of Cairo-Dock D-Bus interface for ruby.

Package: cairo-dock-dbus-plug-in-interface-vala
Architecture: any
Depends: cairo-dock-plug-ins (>= ${source:Version}),
         valac,
         ${misc:Depends},
         ${shlibs:Depends}
Description: library of D-Bus interface for vala of Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This package provides library of Cairo-Dock D-Bus interface for vala.

Package: cairo-dock-desklet-rendering-plug-in
Architecture: any
Depends: cairo-dock-plug-in-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: cairo-dock-desklet-rendering-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-desklet-rendering-plugin (<< 2.4.0~2-1)
Description: Desklet rendering plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in renders your desktop.

Package: cairo-dock-dialog-rendering-plug-in
Architecture: any
Depends: cairo-dock-plug-in-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: cairo-dock-dialog-rendering-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-dialog-rendering-plugin (<< 2.4.0~2-1)
Description: Dialog rendering plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in provides some dialog decorators for dialog bubbles.

Package: cairo-dock-drop-indicator-plug-in
Architecture: any
Depends: cairo-dock-plug-in-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: cairo-dock-drop-indicator-plugin  (<< 2.4.0~2-1)
Replaces: cairo-dock-drop-indicator-plugin (<< 2.4.0~2-1)
Description: Drop indicator plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in displays an animated indicator when you drop something
 in the dock.

Package: cairo-dock-dustbin-plug-in
Architecture: any
Depends: cairo-dock-plug-in-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: cairo-dock-dustbin-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-dustbin-plugin (<< 2.4.0~2-1)
Description: Dustbin plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in manages the dustbin.
 Users can delete files and unmount disks by drag and dropping them on
 the icon.
 This can warn users if they use too much space.

Package: cairo-dock-icon-effect-plug-in
Architecture: any
Depends: cairo-dock-plug-in-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: cairo-dock-icon-effect-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-icon-effect-plugin (<< 2.4.0~2-1)
Description: Icon effect plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in adds many special effects to your icons.

Package: cairo-dock-illusion-plug-in
Architecture: any
Depends: cairo-dock-plug-in-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: cairo-dock-illusion-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-illusion-plugin (<< 2.4.0~2-1)
Description: Illusion plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in provides animations for appearance and disappearance of icons.

Package: cairo-dock-logout-plug-in
Architecture: any
Depends: cairo-dock-plug-in-data (= ${source:Version}),
         ${misc:Depends},
